package cn.kdan.pdf.tech.core.pojo.dto;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;
import java.text.SimpleDateFormat;
import java.util.Date;

@Data
public class VppPrivateDeployment {
    @JSONField(name = "subscription_id")
    private String subscriptionId;
    private String cdkey;

    private Short times;

    @JSONField(name = "product_id")
    private Integer productId;

    @JSONField(name = "end_up_at")
    private Date endUpAt;

    // 省略 getter 和 setter 方法

    public String toJSON() {
        String pattern = "yyyy-MM-dd HH:mm:ss";
        String dateStr = new SimpleDateFormat(pattern).format(endUpAt);
        return "{" +
                "\"subscription_id\":\"" + subscriptionId + '\"' +
                ",\"cdkey\":\"" + cdkey + '\"' +
                ",\"times\":" + times +
                ",\"product_id\":" + productId +
                ",\"end_up_at\":\"" + dateStr + '\"' +
                '}';
    }
}
