package cn.kdan.pdf.tech.core.service;

import org.springframework.web.multipart.MultipartFile;

/**
 * @author ComPDFKit-WPH 2024/1/2
 */
public interface VppKeyFileService {

    /**
     * 上传密钥文件
     *
     * @param keyFile 密钥文件
     */
    void parseKeyFile(MultipartFile keyFile);

    /**
     * 判断是更新还是初始化
     *
     * @return Boolean
     */
    Boolean updateOrInit();
}
